// Main Css //

.container {
    max-width: 1140px;
    margin: 0 auto;
}
// Body Scroll //

body {
    display: block;
    overflow-y: scroll;
    height: 100%;

    &::-webkit-scrollbar {
        width: 10px;
        background-color: $backgroundgray;
    }

    &::-webkit-scrollbar-thumb {
        background-color: $orange;
    }
}
// Header & Footer Desktop Menu //

.menu-top__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
    
    .menu__nav {
        display: flex;

        .nav__item {
            &:not(:last-child) {
                padding-right: 30px;
            }
    
            .nav__link {
                @include navLink;
            }
        }

        .nav-mobile__item {
            display: none;
        }
    }
    .callback__button {
        @include callbackButton;
    }
}  

// Decor Line //

.decor__line {
    @include decorLine;
}

// Arrows //

.arrows__wrapper {
    position: relative;

    .prev__arrow {
        background-image: url('../img/icon/arrow-left.svg');
        background-repeat: no-repeat;
        width: 46px;
        height: 46px;
        border: none;
        cursor: pointer;
        transition: 0.4s ease;
        position: absolute;
        top: 160px;
        left: -10%;
    
        &:hover {
            background-image: url('../img/icon/arrow-left-hover.svg');
        }
    }
    
    .next__arrow {
        background-image: url('../img/icon/arrow-right.svg');
        background-repeat: no-repeat;
        width: 46px;
        height: 46px;
        border: none;
        cursor: pointer;
        transition: 0.4s ease;
        position: absolute;
        top: 160px;
        right: -10%;
        
        &:hover {
            background-image: url('../img/icon/arrow-right-hover.svg');
        }
    }

    // Arrow Price Slider Hide Desktop //

    .prev__price {
        display: none !important;
    }

    .next__price {
        display: none !important;
    }
}

// Overlay //

.overlay {
    position: fixed; 
    display: none; 
    width: 100%; 
    height: 100%; 
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.5); 
    z-index: 3; 
    cursor: pointer; 
}

.overlay--active {
    display: block; 
}

// Titles //

.main__title {
    @include mainTitle; 
}

.middle__title {
    @include middleTitle;
    margin-bottom: 10px; 
}

.basic__title {
    @include basicTitle; 
    margin-bottom: 15px;
}

.block__title {
    @include blockTitle; 
}

.block__text {
    @include blockText;
}

// Buttons //

.module__button {
    @include moduleButton;
}

.callback__link {
    color: $white;
}

// Social Links //

.social__wrap {
    cursor: pointer;

    .social__link {
        position: relative;
        width: 100%;
        
        .social-image__hover {
            position: absolute;
            background-repeat: no-repeat;
            background-size: contain;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            opacity: 0;
            transition: 0.4s ease;
            
            &:hover {
                opacity: 1;
            }
        }

        .vk__hover {
            background-image: url('../img/icon/vkhover.svg');
        }

        .email__hover {
            background-image: url('../img/icon/emailhover.svg');
        }

        .whatsapp__hover {
            background-image: url('../img/icon/whatsapphover.svg');
        }

        .telegram__hover {
            background-image: url('../img/icon/telegramhover.svg');
        }

        .viber__hover {
            background-image: url('../img/icon/viberhover.svg');
        }

        .call__hover {
            background-image: url('../img/icon/callhover.svg');
        }
    } 
}